{{ form_start(form) }}
{{ form_errors(form) }}

<div class="row" id="assignment-container" data-prototype='
      <td class="w-50 p-2 align-content-center">
        <input type="text" class="form-control" name="custom_assignment[__name__][value]">
      </td>
      <td class="p-2">
        <select class="form-control" name="custom_assignment[__name__][office]">
          <option value="">{{ 'none'|trans }}</option>
          {% for k,v in user_groups %}
            <option value="{{ k }}">{{ v }}</option>
          {% endfor %}
        </select>
      </td>
      <td class="text-right p-2 align-content-center"><button type="button" class="btn btn-xs btn-outline-secondary delete-choice"><i class="fa fa-trash"></i></button></td>
    '>
  {% if assignemnt_options|length > 0 and user_groups|length > 0 %}
  <div class="col-12">
    <div class="form-group">
      <p class="mb-2">{{ 'servizio.assignment.description'|trans }}</p>
      <label for="assignment-trigger">{{ 'servizio.assignment.field.label'|trans }}</label>
      <select class="form-control" id="assignment-trigger" name="assignment[field]">
        <option value="none">{{ 'none'|trans }}</option>
        {% for option in assignemnt_options %}
          <option value="{{ option.key }}"
                  {% if servizio.assignmentConfig.field == option.key %}selected="selected"{% endif %}>{{ option.name }}</option>
        {% endfor %}
      </select>
      <small class="form-text text-muted">{{ 'servizio.assignment.field.help_text'|trans }}</small>
    </div>
    <div class="form-group mt-5">
      {% for option in assignemnt_options %}
        <div class="row assignment-options" id="{{ option.key }}-choices">
          <label>{{ 'servizio.assignment.map.label'|trans }}</label>
          <div class="col-12">
            <table class="table table-hover table-condensed table-striped table-sm">
              <thead>
              <tr>
                <th>{{ 'servizio.assignment.map.table.column_value'|trans }}</th>
                <th>{{ 'servizio.assignment.map.table.column_office'|trans }}</th>
                <th></th>
              </tr>
              </thead>
              <tbody>
              {% if servizio.assignmentConfig.field == option.key %}
                {% for choice in option.choices %}
                  {% set choice_key = choice.value ?? choice %}
                  {% set label = choice.label ?? choice %}

                  {% if servizio.assignmentConfig.hasMapItem(choice_key) %}
                    <tr>
                      <td class="w-50 p-2 align-content-center">{{ label }}</td>
                      <td class="p-2">
                        <select class="form-control" name="custom_assignemnt[{{ choice_key }}][value]">
                          <option value="">{{ 'none'|trans }}</option>
                          {% for k,v in user_groups %}
                                <option value="{{ k }}"
                                        {% if servizio.assignmentConfig.Item(choice_key) == k %}selected{% endif %}>
                                  {{ v }}
                                </option>
                          {% endfor %}
                        </select>
                      </td>
                          <td class="text-right p-2 align-content-center">
                            <button type="button" class="btn btn-xs btn-outline-secondary delete-choice">
                              <i class="fa fa-trash"></i>
                            </button>
                          </td>
                    </tr>
                  {% endif %}
                {% endfor %}

                {% for custom_key,custom_value in servizio.assignmentConfig.customMap %}
                  <tr>
                    <td class="w-50 p-2 align-content-center">
                      <input type="text" class="form-control" name="custom_assignment[{{ custom_key }}][value]" value="{{ custom_key }}">
                    </td>
                    <td class="p-2">
                      <select class="form-control" name="custom_assignment[{{ custom_key }}][office]">
                        <option value="">{{ 'none'|trans }}</option>
                        {% for k,v in user_groups %}
                          <option value="{{ k }}" {% if custom_value == k %}selected="selected"{% endif %}>{{ v }}</option>
                        {% endfor %}
                      </select>
                    </td>
                        <td class="text-right p-2 align-content-center">
                          <button type="button" class="btn btn-xs btn-outline-secondary delete-choice">
                            <i class="fa fa-trash"></i>
                          </button>
                        </td>
                  </tr>
                {% endfor %}
              {% else %}
                {% for choice in option.choices %}
                  {% set choice_key = choice.value ?? choice %}
                  {% set label = choice.label ?? choice %}
                  <tr>
                    <td class="w-50 p-2 align-content-center">{{ label }}</td>
                    <td class="p-2">
                      <select class="form-control" name="assignment[map][{{ choice_key }}]">
                        <option value="">{{ 'none'|trans }}</option>
                        {% for k,v in user_groups %}
                          <option value="{{ k }}"
                                  {% if servizio.assignmentConfig.Item(choice_key) == k %}selected="selected"{% endif %}>{{ v }}</option>
                        {% endfor %}
                      </select>
                    </td>
                    <td class="text-right p-2 align-content-center"><button type="button" class="btn btn-xs btn-outline-secondary delete-choice"><i class="fa fa-trash"></i></button></td>
                  </tr>
                {% endfor %}
              {% endif %}
              </tbody>
            </table>
          </div>
          <button type="button" class="btn btn-xs btn-outline-primary add-choice"><i class="fa fa-plus"></i> {{ 'aggiungi'|trans }}</button>
        </div>
      {% endfor %}
    </div>
    {% else %}
      <p class="p-2 small"><i class="fa fa-warning"></i> {{ 'servizio.assignment.warning'|trans|raw }}</p>
    {% endif %}
  </div>

  <div class="col-12">
    {{ form_rest(form) }}
    {{ include('Admin/servizio/_saveButtons.html.twig') }}
  </div>
</div>
{{ form_end(form) }}
